﻿local AL3 = LibStub("AceLocale-3.0")
local debug = false
--[===[@debug@
debug = true
--@end-debug@]===]

local L = AL3:NewLocale("BasicThreatBar", "enUS", true, debug)
if L then
L["Adds a thick black outline to the font"] = true
L["Adds outline to the font"] = true
L["Background"] = true
L["Bar"] = true
L["Bar Height"] = true
L["Bar Width"] = true
L["Border"] = true
L["Border Color"] = true
L["Borders"] = true
L["Bottom"] = true
L["Bottom Left"] = true
L["Bottom Right"] = true
L["Center"] = true
L["Changes the bar to fill vertically"] = true
L["Changes the color of pet names"] = true
L["Changes the color of the bar for high tanking threat"] = true
L["Changes the color of the bar for high threat"] = true
L["Changes the color of the bar for low tanking threat"] = true
L["Changes the color of the bar for low threat"] = true
L["Changes the color of the bar for temporary threat while under fade or mirror image"] = true
L["Changes the color of the border"] = true
L["Changes the color of the empty portion of the bar for high aggro"] = true
L["Changes the color of the empty portion of the bar for low aggro"] = true
L["Changes the color of the empty portion of the bar for low and high threat"] = true
L["Changes the color of the threat text"] = true
L["Change the alignment of the name text"] = true
L["Change the alignment of the threat text"] = true
L["Change the bar's border"] = true
L["Change the bar texture"] = true
L["Change the font"] = true
L["Change the strata of the bar"] = true
L["Class color pets"] = true
L["Color pets by class"] = true
L["Depleted color"] = true
L["Disable the bar when not in a group and no pet is active"] = true
L["Disable when solo"] = true
L["Display only threat % without value"] = true
L["Display sample text and value on the threat bar."] = true
L["Fonts"] = true
L["Font size"] = true
L["Hide/Lock bar"] = true
L["Hide the bar when not in combat and lock it in place"] = true
L["High"] = true
L["High aggro color"] = true
L["High aggro depleted color"] = true
L["High threat color"] = true
L["Left Inside"] = true
L["Left Outside"] = true
L["Low"] = true
L["Low aggro color"] = true
L["Low aggro depleted color"] = true
L["Low threat color"] = true
L["Medium"] = true
L["Monochrome"] = true
L["Name position"] = true
L["None"] = true
L["% only"] = true
L["Outline"] = true
L["Pet color"] = true
L["Right Inside"] = true
L["Right Outside"] = true
L["Sample"] = true
L["Sets the font to monochrome"] = true
L["Strata"] = true
L["Temp threat color"] = true
L["Test"] = true
L["Text"] = true
L["Textures"] = true
L["Thick Outline"] = true
L["Threat position"] = true
L["Threat text color"] = true
L["Top"] = true
L["Top Left"] = true
L["Top Right"] = true
L["Vertical bar"] = true

if GetLocale() == "enUS" or GetLocale() == "enGB" then return end
end

local L = AL3:NewLocale("BasicThreatBar", "deDE")
if L then
L["Adds a thick black outline to the font"] = "Fügt der Schrift eine dicke schwarze Kontur hinzu."
L["Adds outline to the font"] = "Fügt der Schrift eine Kontur hinzu"
L["Background"] = "Hintergrund"
L["Bar"] = "Leiste"
L["Bar Height"] = "Leistenhöhe"
L["Bar Width"] = "Leistenbreite"
L["Border"] = "Rand"
L["Border Color"] = "Randfarbe"
L["Borders"] = "Ränder"
L["Bottom"] = "Unten "
L["Bottom Left"] = "Unten links"
L["Bottom Right"] = "Unten rechts"
L["Center"] = "Mittig"
-- L["Changes the bar to fill vertically"] = "Changes the bar to fill vertically"
-- L["Changes the color of pet names"] = "Changes the color of pet names"
-- L["Changes the color of the bar for high tanking threat"] = "Changes the color of the bar for high tanking threat"
-- L["Changes the color of the bar for high threat"] = "Changes the color of the bar for high threat"
-- L["Changes the color of the bar for low tanking threat"] = "Changes the color of the bar for low tanking threat"
-- L["Changes the color of the bar for low threat"] = "Changes the color of the bar for low threat"
-- L["Changes the color of the bar for temporary threat while under fade or mirror image"] = "Changes the color of the bar for temporary threat while under fade or mirror image"
L["Changes the color of the border"] = "Ändert die Farbe des Randes"
-- L["Changes the color of the empty portion of the bar for high aggro"] = "Changes the color of the empty portion of the bar for high aggro"
-- L["Changes the color of the empty portion of the bar for low aggro"] = "Changes the color of the empty portion of the bar for low aggro"
-- L["Changes the color of the empty portion of the bar for low and high threat"] = "Changes the color of the empty portion of the bar for low and high threat"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
L["Change the alignment of the threat text"] = "Ändert die Ausrichtung des Bedrohungstexts"
L["Change the bar's border"] = "Ändert den Rand der Leiste"
L["Change the bar texture"] = "Ändert die Leistentextur"
L["Change the font"] = "Ändert die Schriftart"
L["Change the strata of the bar"] = "Ändert die Ebene der Leiste"
-- L["Class color pets"] = "Class color pets"
-- L["Color pets by class"] = "Color pets by class"
-- L["Depleted color"] = "Depleted color"
-- L["Disable the bar when not in a group and no pet is active"] = "Disable the bar when not in a group and no pet is active"
L["Disable when solo"] = "Deaktivieren, wenn solo"
-- L["Display only threat % without value"] = "Display only threat % without value"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
L["Fonts"] = "Schriftarten"
L["Font size"] = "Schriftgröße"
L["Hide/Lock bar"] = "Leiste fixieren/entsperren"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
L["High"] = "Hoch"
L["High aggro color"] = "Farbe bei hoher Bedrohung" -- Needs review
-- L["High aggro depleted color"] = "High aggro depleted color"
-- L["High threat color"] = "High threat color"
L["Left Inside"] = "Links"
-- L["Left Outside"] = "Left Outside"
L["Low"] = "Niedrig"
L["Low aggro color"] = "Farbe bei niedriger Bedrohung" -- Needs review
-- L["Low aggro depleted color"] = "Low aggro depleted color"
-- L["Low threat color"] = "Low threat color"
L["Medium"] = "Mittel"
L["Monochrome"] = "Einfarbig"
L["Name position"] = "Namensposition"
-- L["None"] = "None"
-- L["% only"] = "% only"
L["Outline"] = "Kontur"
L["Pet color"] = "Begleiterfarbe"
L["Right Inside"] = "Rechts"
-- L["Right Outside"] = "Right Outside"
L["Sample"] = "Beispiel"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
L["Strata"] = "Ebene"
-- L["Temp threat color"] = "Temp threat color"
L["Test"] = "Test"
L["Text"] = "Text"
L["Textures"] = "Texturen"
L["Thick Outline"] = "Dicke Kontur"
L["Threat position"] = "Bedrohungsposition"
-- L["Threat text color"] = "Threat text color"
L["Top"] = "Oben"
L["Top Left"] = "Oben links"
L["Top Right"] = "Oben rechts"
L["Vertical bar"] = "Vertikale Leiste"

return
end

local L = AL3:NewLocale("BasicThreatBar", "esES") or AL3:NewLocale("BasicThreatBar", "esMX")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Background"] = "Background"
-- L["Bar"] = "Bar"
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
-- L["Border"] = "Border"
-- L["Border Color"] = "Border Color"
-- L["Borders"] = "Borders"
-- L["Bottom"] = "Bottom"
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
-- L["Center"] = "Center"
-- L["Changes the bar to fill vertically"] = "Changes the bar to fill vertically"
-- L["Changes the color of pet names"] = "Changes the color of pet names"
-- L["Changes the color of the bar for high tanking threat"] = "Changes the color of the bar for high tanking threat"
-- L["Changes the color of the bar for high threat"] = "Changes the color of the bar for high threat"
-- L["Changes the color of the bar for low tanking threat"] = "Changes the color of the bar for low tanking threat"
-- L["Changes the color of the bar for low threat"] = "Changes the color of the bar for low threat"
-- L["Changes the color of the bar for temporary threat while under fade or mirror image"] = "Changes the color of the bar for temporary threat while under fade or mirror image"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the empty portion of the bar for high aggro"] = "Changes the color of the empty portion of the bar for high aggro"
-- L["Changes the color of the empty portion of the bar for low aggro"] = "Changes the color of the empty portion of the bar for low aggro"
-- L["Changes the color of the empty portion of the bar for low and high threat"] = "Changes the color of the empty portion of the bar for low and high threat"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Change the strata of the bar"] = "Change the strata of the bar"
-- L["Class color pets"] = "Class color pets"
-- L["Color pets by class"] = "Color pets by class"
-- L["Depleted color"] = "Depleted color"
-- L["Disable the bar when not in a group and no pet is active"] = "Disable the bar when not in a group and no pet is active"
-- L["Disable when solo"] = "Disable when solo"
-- L["Display only threat % without value"] = "Display only threat % without value"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
-- L["Fonts"] = "Fonts"
-- L["Font size"] = "Font size"
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["High"] = "High"
-- L["High aggro color"] = "High aggro color"
-- L["High aggro depleted color"] = "High aggro depleted color"
-- L["High threat color"] = "High threat color"
-- L["Left Inside"] = "Left Inside"
-- L["Left Outside"] = "Left Outside"
-- L["Low"] = "Low"
-- L["Low aggro color"] = "Low aggro color"
-- L["Low aggro depleted color"] = "Low aggro depleted color"
-- L["Low threat color"] = "Low threat color"
-- L["Medium"] = "Medium"
-- L["Monochrome"] = "Monochrome"
-- L["Name position"] = "Name position"
-- L["None"] = "None"
-- L["% only"] = "% only"
-- L["Outline"] = "Outline"
-- L["Pet color"] = "Pet color"
-- L["Right Inside"] = "Right Inside"
-- L["Right Outside"] = "Right Outside"
-- L["Sample"] = "Sample"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Strata"] = "Strata"
-- L["Temp threat color"] = "Temp threat color"
-- L["Test"] = "Test"
-- L["Text"] = "Text"
-- L["Textures"] = "Textures"
-- L["Thick Outline"] = "Thick Outline"
-- L["Threat position"] = "Threat position"
-- L["Threat text color"] = "Threat text color"
-- L["Top"] = "Top"
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"
-- L["Vertical bar"] = "Vertical bar"

return
end

local L = AL3:NewLocale("BasicThreatBar", "frFR")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Background"] = "Background"
L["Bar"] = "Bar" -- Needs review
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
L["Border"] = "Frontière" -- Needs review
L["Border Color"] = "Couleur de la bordure" -- Needs review
-- L["Borders"] = "Borders"
L["Bottom"] = "Bas" -- Needs review
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
L["Center"] = "Centre" -- Needs review
-- L["Changes the bar to fill vertically"] = "Changes the bar to fill vertically"
-- L["Changes the color of pet names"] = "Changes the color of pet names"
-- L["Changes the color of the bar for high tanking threat"] = "Changes the color of the bar for high tanking threat"
-- L["Changes the color of the bar for high threat"] = "Changes the color of the bar for high threat"
-- L["Changes the color of the bar for low tanking threat"] = "Changes the color of the bar for low tanking threat"
-- L["Changes the color of the bar for low threat"] = "Changes the color of the bar for low threat"
-- L["Changes the color of the bar for temporary threat while under fade or mirror image"] = "Changes the color of the bar for temporary threat while under fade or mirror image"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the empty portion of the bar for high aggro"] = "Changes the color of the empty portion of the bar for high aggro"
-- L["Changes the color of the empty portion of the bar for low aggro"] = "Changes the color of the empty portion of the bar for low aggro"
-- L["Changes the color of the empty portion of the bar for low and high threat"] = "Changes the color of the empty portion of the bar for low and high threat"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Change the strata of the bar"] = "Change the strata of the bar"
-- L["Class color pets"] = "Class color pets"
-- L["Color pets by class"] = "Color pets by class"
-- L["Depleted color"] = "Depleted color"
-- L["Disable the bar when not in a group and no pet is active"] = "Disable the bar when not in a group and no pet is active"
-- L["Disable when solo"] = "Disable when solo"
-- L["Display only threat % without value"] = "Display only threat % without value"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
L["Fonts"] = "Polices" -- Needs review
L["Font size"] = "Taille de la police" -- Needs review
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["High"] = "High"
-- L["High aggro color"] = "High aggro color"
-- L["High aggro depleted color"] = "High aggro depleted color"
-- L["High threat color"] = "High threat color"
-- L["Left Inside"] = "Left Inside"
-- L["Left Outside"] = "Left Outside"
-- L["Low"] = "Low"
-- L["Low aggro color"] = "Low aggro color"
-- L["Low aggro depleted color"] = "Low aggro depleted color"
-- L["Low threat color"] = "Low threat color"
-- L["Medium"] = "Medium"
L["Monochrome"] = "Monochrome" -- Needs review
-- L["Name position"] = "Name position"
-- L["None"] = "None"
-- L["% only"] = "% only"
L["Outline"] = "Contour" -- Needs review
-- L["Pet color"] = "Pet color"
-- L["Right Inside"] = "Right Inside"
-- L["Right Outside"] = "Right Outside"
L["Sample"] = "échantillon" -- Needs review
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Strata"] = "Strata"
-- L["Temp threat color"] = "Temp threat color"
L["Test"] = "Test" -- Needs review
L["Text"] = "Texte" -- Needs review
L["Textures"] = "Textures" -- Needs review
L["Thick Outline"] = "Contour épais" -- Needs review
-- L["Threat position"] = "Threat position"
L["Threat text color"] = "Couleur du texte des menaces" -- Needs review
L["Top"] = "Haut" -- Needs review
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"
-- L["Vertical bar"] = "Vertical bar"

return
end

local L = AL3:NewLocale("BasicThreatBar", "koKR")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Background"] = "Background"
-- L["Bar"] = "Bar"
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
-- L["Border"] = "Border"
-- L["Border Color"] = "Border Color"
-- L["Borders"] = "Borders"
-- L["Bottom"] = "Bottom"
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
-- L["Center"] = "Center"
-- L["Changes the bar to fill vertically"] = "Changes the bar to fill vertically"
-- L["Changes the color of pet names"] = "Changes the color of pet names"
-- L["Changes the color of the bar for high tanking threat"] = "Changes the color of the bar for high tanking threat"
-- L["Changes the color of the bar for high threat"] = "Changes the color of the bar for high threat"
-- L["Changes the color of the bar for low tanking threat"] = "Changes the color of the bar for low tanking threat"
-- L["Changes the color of the bar for low threat"] = "Changes the color of the bar for low threat"
-- L["Changes the color of the bar for temporary threat while under fade or mirror image"] = "Changes the color of the bar for temporary threat while under fade or mirror image"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the empty portion of the bar for high aggro"] = "Changes the color of the empty portion of the bar for high aggro"
-- L["Changes the color of the empty portion of the bar for low aggro"] = "Changes the color of the empty portion of the bar for low aggro"
-- L["Changes the color of the empty portion of the bar for low and high threat"] = "Changes the color of the empty portion of the bar for low and high threat"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Change the strata of the bar"] = "Change the strata of the bar"
-- L["Class color pets"] = "Class color pets"
-- L["Color pets by class"] = "Color pets by class"
-- L["Depleted color"] = "Depleted color"
-- L["Disable the bar when not in a group and no pet is active"] = "Disable the bar when not in a group and no pet is active"
-- L["Disable when solo"] = "Disable when solo"
-- L["Display only threat % without value"] = "Display only threat % without value"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
-- L["Fonts"] = "Fonts"
-- L["Font size"] = "Font size"
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["High"] = "High"
-- L["High aggro color"] = "High aggro color"
-- L["High aggro depleted color"] = "High aggro depleted color"
-- L["High threat color"] = "High threat color"
-- L["Left Inside"] = "Left Inside"
-- L["Left Outside"] = "Left Outside"
-- L["Low"] = "Low"
-- L["Low aggro color"] = "Low aggro color"
-- L["Low aggro depleted color"] = "Low aggro depleted color"
-- L["Low threat color"] = "Low threat color"
-- L["Medium"] = "Medium"
-- L["Monochrome"] = "Monochrome"
-- L["Name position"] = "Name position"
-- L["None"] = "None"
-- L["% only"] = "% only"
-- L["Outline"] = "Outline"
-- L["Pet color"] = "Pet color"
-- L["Right Inside"] = "Right Inside"
-- L["Right Outside"] = "Right Outside"
-- L["Sample"] = "Sample"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Strata"] = "Strata"
-- L["Temp threat color"] = "Temp threat color"
-- L["Test"] = "Test"
-- L["Text"] = "Text"
-- L["Textures"] = "Textures"
-- L["Thick Outline"] = "Thick Outline"
-- L["Threat position"] = "Threat position"
-- L["Threat text color"] = "Threat text color"
-- L["Top"] = "Top"
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"
-- L["Vertical bar"] = "Vertical bar"

return
end

local L = AL3:NewLocale("BasicThreatBar", "ruRU")
if L then
L["Adds a thick black outline to the font"] = "Добавить толстую обводку к шрифту" -- Needs review
L["Adds outline to the font"] = "Добавить обводку к шрифту" -- Needs review
-- L["Background"] = "Background"
L["Bar"] = "Панель" -- Needs review
L["Bar Height"] = "Высота панели" -- Needs review
L["Bar Width"] = "Ширина панели" -- Needs review
L["Border"] = "Граница" -- Needs review
L["Border Color"] = "Цвет границы" -- Needs review
L["Borders"] = "Границы" -- Needs review
L["Bottom"] = "Снизу" -- Needs review
L["Bottom Left"] = "Снизу слева" -- Needs review
L["Bottom Right"] = "Снизу справа" -- Needs review
L["Center"] = "По центру" -- Needs review
-- L["Changes the bar to fill vertically"] = "Changes the bar to fill vertically"
-- L["Changes the color of pet names"] = "Changes the color of pet names"
-- L["Changes the color of the bar for high tanking threat"] = "Changes the color of the bar for high tanking threat"
-- L["Changes the color of the bar for high threat"] = "Changes the color of the bar for high threat"
-- L["Changes the color of the bar for low tanking threat"] = "Changes the color of the bar for low tanking threat"
-- L["Changes the color of the bar for low threat"] = "Changes the color of the bar for low threat"
-- L["Changes the color of the bar for temporary threat while under fade or mirror image"] = "Changes the color of the bar for temporary threat while under fade or mirror image"
L["Changes the color of the border"] = "Изменение границы панели" -- Needs review
-- L["Changes the color of the empty portion of the bar for high aggro"] = "Changes the color of the empty portion of the bar for high aggro"
-- L["Changes the color of the empty portion of the bar for low aggro"] = "Changes the color of the empty portion of the bar for low aggro"
-- L["Changes the color of the empty portion of the bar for low and high threat"] = "Changes the color of the empty portion of the bar for low and high threat"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
L["Change the alignment of the name text"] = "Изменить привязку текста имени" -- Needs review
L["Change the alignment of the threat text"] = "Изменить привязку текста угрозы" -- Needs review
L["Change the bar's border"] = "Изменить границу панели" -- Needs review
L["Change the bar texture"] = "Изменить текстуру панели" -- Needs review
L["Change the font"] = "Изменить шрифт" -- Needs review
-- L["Change the strata of the bar"] = "Change the strata of the bar"
-- L["Class color pets"] = "Class color pets"
-- L["Color pets by class"] = "Color pets by class"
-- L["Depleted color"] = "Depleted color"
-- L["Disable the bar when not in a group and no pet is active"] = "Disable the bar when not in a group and no pet is active"
-- L["Disable when solo"] = "Disable when solo"
-- L["Display only threat % without value"] = "Display only threat % without value"
L["Display sample text and value on the threat bar."] = "Показать пример текста и значения панели угрозы" -- Needs review
L["Fonts"] = "Шрифты" -- Needs review
L["Font size"] = "Размер шрифта" -- Needs review
L["Hide/Lock bar"] = "Скрыть/заблокировать панель" -- Needs review
L["Hide the bar when not in combat and lock it in place"] = "Скрыть панель вне боя и зафиксировать её место" -- Needs review
-- L["High"] = "High"
-- L["High aggro color"] = "High aggro color"
-- L["High aggro depleted color"] = "High aggro depleted color"
-- L["High threat color"] = "High threat color"
L["Left Inside"] = "Слева внутри" -- Needs review
-- L["Left Outside"] = "Left Outside"
-- L["Low"] = "Low"
-- L["Low aggro color"] = "Low aggro color"
-- L["Low aggro depleted color"] = "Low aggro depleted color"
-- L["Low threat color"] = "Low threat color"
-- L["Medium"] = "Medium"
L["Monochrome"] = "Монохромный" -- Needs review
L["Name position"] = "Позиция имени" -- Needs review
-- L["None"] = "None"
-- L["% only"] = "% only"
L["Outline"] = "Обводка" -- Needs review
-- L["Pet color"] = "Pet color"
L["Right Inside"] = "Справа внутри" -- Needs review
-- L["Right Outside"] = "Right Outside"
L["Sample"] = "Пример" -- Needs review
L["Sets the font to monochrome"] = "Установить монохромный шрифт" -- Needs review
-- L["Strata"] = "Strata"
-- L["Temp threat color"] = "Temp threat color"
L["Test"] = "Тест" -- Needs review
L["Text"] = "Текст" -- Needs review
L["Textures"] = "Текстуры" -- Needs review
L["Thick Outline"] = "Толстая обводка" -- Needs review
L["Threat position"] = "Позиция угрозы" -- Needs review
L["Threat text color"] = "Цвет текста угрозы" -- Needs review
L["Top"] = "Сверху" -- Needs review
L["Top Left"] = "Сверху слева" -- Needs review
L["Top Right"] = "Сверху справа" -- Needs review
-- L["Vertical bar"] = "Vertical bar"

return
end

local L = AL3:NewLocale("BasicThreatBar", "zhCN")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Background"] = "Background"
-- L["Bar"] = "Bar"
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
-- L["Border"] = "Border"
-- L["Border Color"] = "Border Color"
-- L["Borders"] = "Borders"
-- L["Bottom"] = "Bottom"
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
-- L["Center"] = "Center"
-- L["Changes the bar to fill vertically"] = "Changes the bar to fill vertically"
-- L["Changes the color of pet names"] = "Changes the color of pet names"
-- L["Changes the color of the bar for high tanking threat"] = "Changes the color of the bar for high tanking threat"
-- L["Changes the color of the bar for high threat"] = "Changes the color of the bar for high threat"
-- L["Changes the color of the bar for low tanking threat"] = "Changes the color of the bar for low tanking threat"
-- L["Changes the color of the bar for low threat"] = "Changes the color of the bar for low threat"
-- L["Changes the color of the bar for temporary threat while under fade or mirror image"] = "Changes the color of the bar for temporary threat while under fade or mirror image"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the empty portion of the bar for high aggro"] = "Changes the color of the empty portion of the bar for high aggro"
-- L["Changes the color of the empty portion of the bar for low aggro"] = "Changes the color of the empty portion of the bar for low aggro"
-- L["Changes the color of the empty portion of the bar for low and high threat"] = "Changes the color of the empty portion of the bar for low and high threat"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Change the strata of the bar"] = "Change the strata of the bar"
-- L["Class color pets"] = "Class color pets"
-- L["Color pets by class"] = "Color pets by class"
-- L["Depleted color"] = "Depleted color"
-- L["Disable the bar when not in a group and no pet is active"] = "Disable the bar when not in a group and no pet is active"
-- L["Disable when solo"] = "Disable when solo"
-- L["Display only threat % without value"] = "Display only threat % without value"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
-- L["Fonts"] = "Fonts"
-- L["Font size"] = "Font size"
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["High"] = "High"
-- L["High aggro color"] = "High aggro color"
-- L["High aggro depleted color"] = "High aggro depleted color"
-- L["High threat color"] = "High threat color"
-- L["Left Inside"] = "Left Inside"
-- L["Left Outside"] = "Left Outside"
-- L["Low"] = "Low"
-- L["Low aggro color"] = "Low aggro color"
-- L["Low aggro depleted color"] = "Low aggro depleted color"
-- L["Low threat color"] = "Low threat color"
-- L["Medium"] = "Medium"
-- L["Monochrome"] = "Monochrome"
-- L["Name position"] = "Name position"
-- L["None"] = "None"
-- L["% only"] = "% only"
-- L["Outline"] = "Outline"
-- L["Pet color"] = "Pet color"
-- L["Right Inside"] = "Right Inside"
-- L["Right Outside"] = "Right Outside"
-- L["Sample"] = "Sample"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Strata"] = "Strata"
-- L["Temp threat color"] = "Temp threat color"
-- L["Test"] = "Test"
-- L["Text"] = "Text"
-- L["Textures"] = "Textures"
-- L["Thick Outline"] = "Thick Outline"
-- L["Threat position"] = "Threat position"
-- L["Threat text color"] = "Threat text color"
-- L["Top"] = "Top"
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"
-- L["Vertical bar"] = "Vertical bar"

return
end

local L = AL3:NewLocale("BasicThreatBar", "zhTW")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Background"] = "Background"
-- L["Bar"] = "Bar"
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
-- L["Border"] = "Border"
-- L["Border Color"] = "Border Color"
-- L["Borders"] = "Borders"
-- L["Bottom"] = "Bottom"
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
-- L["Center"] = "Center"
-- L["Changes the bar to fill vertically"] = "Changes the bar to fill vertically"
-- L["Changes the color of pet names"] = "Changes the color of pet names"
-- L["Changes the color of the bar for high tanking threat"] = "Changes the color of the bar for high tanking threat"
-- L["Changes the color of the bar for high threat"] = "Changes the color of the bar for high threat"
-- L["Changes the color of the bar for low tanking threat"] = "Changes the color of the bar for low tanking threat"
-- L["Changes the color of the bar for low threat"] = "Changes the color of the bar for low threat"
-- L["Changes the color of the bar for temporary threat while under fade or mirror image"] = "Changes the color of the bar for temporary threat while under fade or mirror image"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the empty portion of the bar for high aggro"] = "Changes the color of the empty portion of the bar for high aggro"
-- L["Changes the color of the empty portion of the bar for low aggro"] = "Changes the color of the empty portion of the bar for low aggro"
-- L["Changes the color of the empty portion of the bar for low and high threat"] = "Changes the color of the empty portion of the bar for low and high threat"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Change the strata of the bar"] = "Change the strata of the bar"
-- L["Class color pets"] = "Class color pets"
-- L["Color pets by class"] = "Color pets by class"
-- L["Depleted color"] = "Depleted color"
-- L["Disable the bar when not in a group and no pet is active"] = "Disable the bar when not in a group and no pet is active"
-- L["Disable when solo"] = "Disable when solo"
-- L["Display only threat % without value"] = "Display only threat % without value"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
-- L["Fonts"] = "Fonts"
-- L["Font size"] = "Font size"
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["High"] = "High"
-- L["High aggro color"] = "High aggro color"
-- L["High aggro depleted color"] = "High aggro depleted color"
-- L["High threat color"] = "High threat color"
-- L["Left Inside"] = "Left Inside"
-- L["Left Outside"] = "Left Outside"
-- L["Low"] = "Low"
-- L["Low aggro color"] = "Low aggro color"
-- L["Low aggro depleted color"] = "Low aggro depleted color"
-- L["Low threat color"] = "Low threat color"
-- L["Medium"] = "Medium"
-- L["Monochrome"] = "Monochrome"
-- L["Name position"] = "Name position"
-- L["None"] = "None"
-- L["% only"] = "% only"
-- L["Outline"] = "Outline"
-- L["Pet color"] = "Pet color"
-- L["Right Inside"] = "Right Inside"
-- L["Right Outside"] = "Right Outside"
-- L["Sample"] = "Sample"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Strata"] = "Strata"
-- L["Temp threat color"] = "Temp threat color"
-- L["Test"] = "Test"
-- L["Text"] = "Text"
-- L["Textures"] = "Textures"
-- L["Thick Outline"] = "Thick Outline"
-- L["Threat position"] = "Threat position"
-- L["Threat text color"] = "Threat text color"
-- L["Top"] = "Top"
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"
-- L["Vertical bar"] = "Vertical bar"

return
end

local L = AL3:NewLocale("BasicThreatBar", "ptBR")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Background"] = "Background"
-- L["Bar"] = "Bar"
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
-- L["Border"] = "Border"
-- L["Border Color"] = "Border Color"
-- L["Borders"] = "Borders"
-- L["Bottom"] = "Bottom"
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
-- L["Center"] = "Center"
-- L["Changes the bar to fill vertically"] = "Changes the bar to fill vertically"
-- L["Changes the color of pet names"] = "Changes the color of pet names"
-- L["Changes the color of the bar for high tanking threat"] = "Changes the color of the bar for high tanking threat"
-- L["Changes the color of the bar for high threat"] = "Changes the color of the bar for high threat"
-- L["Changes the color of the bar for low tanking threat"] = "Changes the color of the bar for low tanking threat"
-- L["Changes the color of the bar for low threat"] = "Changes the color of the bar for low threat"
-- L["Changes the color of the bar for temporary threat while under fade or mirror image"] = "Changes the color of the bar for temporary threat while under fade or mirror image"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the empty portion of the bar for high aggro"] = "Changes the color of the empty portion of the bar for high aggro"
-- L["Changes the color of the empty portion of the bar for low aggro"] = "Changes the color of the empty portion of the bar for low aggro"
-- L["Changes the color of the empty portion of the bar for low and high threat"] = "Changes the color of the empty portion of the bar for low and high threat"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Change the strata of the bar"] = "Change the strata of the bar"
-- L["Class color pets"] = "Class color pets"
-- L["Color pets by class"] = "Color pets by class"
-- L["Depleted color"] = "Depleted color"
-- L["Disable the bar when not in a group and no pet is active"] = "Disable the bar when not in a group and no pet is active"
-- L["Disable when solo"] = "Disable when solo"
-- L["Display only threat % without value"] = "Display only threat % without value"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
-- L["Fonts"] = "Fonts"
-- L["Font size"] = "Font size"
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["High"] = "High"
-- L["High aggro color"] = "High aggro color"
-- L["High aggro depleted color"] = "High aggro depleted color"
-- L["High threat color"] = "High threat color"
-- L["Left Inside"] = "Left Inside"
-- L["Left Outside"] = "Left Outside"
-- L["Low"] = "Low"
-- L["Low aggro color"] = "Low aggro color"
-- L["Low aggro depleted color"] = "Low aggro depleted color"
-- L["Low threat color"] = "Low threat color"
-- L["Medium"] = "Medium"
-- L["Monochrome"] = "Monochrome"
-- L["Name position"] = "Name position"
-- L["None"] = "None"
-- L["% only"] = "% only"
-- L["Outline"] = "Outline"
-- L["Pet color"] = "Pet color"
-- L["Right Inside"] = "Right Inside"
-- L["Right Outside"] = "Right Outside"
-- L["Sample"] = "Sample"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Strata"] = "Strata"
-- L["Temp threat color"] = "Temp threat color"
-- L["Test"] = "Test"
-- L["Text"] = "Text"
-- L["Textures"] = "Textures"
-- L["Thick Outline"] = "Thick Outline"
-- L["Threat position"] = "Threat position"
-- L["Threat text color"] = "Threat text color"
-- L["Top"] = "Top"
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"
-- L["Vertical bar"] = "Vertical bar"

return
end